Module jdk.compiler
Package com.sun.source.tree

# Interface EnhancedForLoopTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface EnhancedForLoopTree extends StatementTree
A tree node for an "enhanced" `for` loop statement. For example:

       for ( variable : expression )
           statement

See Java Language Specification:
  14.14.2 The enhanced for statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression yielding the values for the control variable.
`StatementTree`
`getStatement()`
Returns the body of the loop.
`VariableTree`
`getVariable()`
Returns the control variable for the loop.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getVariable

VariableTree getVariable()
Returns the control variable for the loop.

Returns:
  the control variable

### getExpression

ExpressionTree getExpression()
Returns the expression yielding the values for the control variable.

Returns:
  the expression

### getStatement

StatementTree getStatement()
Returns the body of the loop.

Returns:
  the body of the loop